org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization

## Interface AbstractAttributeInstance

All Known Subinterfaces:
  MultiValuedAttributeInstance, SingleValuedAttributeInstance

    public interface AbstractAttributeInstance

A representation of the model object 'Abstract Attribute Instance'.

The following features are supported:

- `EAttribute`

See Also:
  `SerializationPackage.getAbstractAttributeInstance()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`EAttribute` `getEAttribute()` Returns the value of the 'EAttribute' reference.
`void` `setEAttribute(EAttribute value)` Sets the value of the '`EAttribute`' reference.

### Method Detail

#### getEAttribute

    EAttribute getEAttribute()

Returns the value of the 'EAttribute' reference.

If the meaning of the 'EAttribute' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'EAttribute' reference.
See Also:
  `setEAttribute(EAttribute)`, `SerializationPackage.getAbstractAttributeInstance_EAttribute()`
Generated:
Model:
  required="true"

#### setEAttribute

    void setEAttribute(EAttribute value)

Sets the value of the '`EAttribute`' reference.

Parameters:
  `value` - the new value of the 'EAttribute' reference.
See Also:
  `getEAttribute()`
Generated: